class CreateAddresses < ActiveRecord::Migration
  def change
    create_table :addresses do |t|
      t.references :account, index: true
      t.string :building
      t.string :house_number
      t.string :street
      t.string :zipcode
      t.string :city
      t.string :country
      t.integer :lock_version

      t.timestamps null: false
    end
    add_foreign_key :addresses, :accounts
  end
end
