class CreateAccounts < ActiveRecord::Migration
  def change
    create_table :accounts do |t|
      t.string     :name
      t.string     :default_url
      t.text       :logo

      ## manageable
      t.boolean    :active
      t.integer    :lock_version

      ## chargeable
      t.boolean    :chargeable, null: false, default: true
      t.datetime   :last_charged_at
      t.integer    :free_users, null: false, default: 0

      t.timestamps null: false
    end
  end
end
