class CreateUris < ActiveRecord::Migration
  def change
    create_table :uris do |t|
      t.references :account, index: true
      t.references :uriable, polymorphic: true, index: true
      t.string :uri_label
      t.string :uri
      t.string :uri_protocol
      t.boolean :preferred
      t.integer :position

      t.integer :lock_version
      t.timestamps null: false
    end
    add_foreign_key :uris, :accounts
  end
end
